/*********
 global.c
**********/


//***********
//* Includes
//***********
#include "global.h"


//************
//* Variabeln
//************
AuswahlStruct 			Auswahl 		= {0, 0, 0, 0, 1, TRUE, FALSE, FALSE};
TimeBase 				Zeit 			= {0, 0, 0, 0, FALSE};
TasterStruct 			TasteOK 		= {FALSE, FALSE};
AkkuStruct				Akku;
RiStruct				Ri;
volatile float 			Kalibration		= 1;
volatile unsigned int	CoolerTemp;
char 					Filename[]		= {'l','o','g','0','0','.','t','x','t','\0'};
volatile unsigned char	LogCount;
volatile unsigned int	Array[10];
char 					buffer1[20];
char 					buffer2[20];
char					AddedStrings[20];


/**
* \brief
* Rechnet den Absolutwert von zwei vorzeichenlose Integer Zahlen aus
* \param value1 (0 - 32767) 
* \param value2 (0 - 32767)
* \return
* Absolutwert als Integer 
* \version
* 1.0 Erste Version
*/
unsigned int abs_uint(unsigned int value1, unsigned int value2)
{
	unsigned int result;

	if (value1 > value2)
	{
		result = value1 - value2;
	}
	else
	{
		result = value2 - value1;
	}

	return result;
}


/**
* \brief
* Gibt das HighByte aus einem 16bit Datentyp zurueck
* \param Data (16bit Datentyp)
* \return HighByte des 16bit Datentyps)
* \version
* 1.0 Erste Version
*/
unsigned char GetHiByte(unsigned int Data)
{
	unsigned int Temp;

	// HighByte herauskopieren
	Temp = Data >> 8;
	return (unsigned char) Temp;
}


/**
* \brief
* Gibt das LowByte aus einem 16bit Datentyp zurueck
* \param Data (16bit Datentyp)
* \return (LowByte des 16bit Datentyps)
* \version
* 1.0 Erste Version
*/
unsigned char GetLoByte(unsigned int Data)
{
	unsigned int Temp;

	// LowByte herauskopieren
	Temp = Data & 0xFF;
	return (unsigned char) Temp;
}


/**
* \brief
* Sortiert die Daten, die im Lokalen Array "Array[]" gespeichert sind
* \version
* 1.0 Erste Version
*/
void Sortieren(void)
{
	unsigned char Pos, VPos;
	unsigned int Zahl;

	for (Pos=0; Pos<9; Pos++)
	{
		for (VPos=Pos+1; VPos<10; VPos++)
		{
			if (Array[VPos] < Array[Pos])
			{
				Zahl = Array[Pos];
				Array[Pos] = Array[VPos];
				Array[VPos] = Zahl;
			}
		}
	}
}
