/***********
clocktime.c
************/

//***********
//* Includes
//***********
#include "clocktime.h"


//************
//* Variablen
//************
volatile unsigned int msCount;


/**
* \brief
* Diese Funktion wird jede ms aufgerufen <br>
* In dieser Funktion werden Tasks abgehandelt, die alle ms ausgefuehrt werden muessen
* \note
* Die einzelnen Tasks sollten so kurz wie moeglich sein, <br>
* da diese Funktion ueber einen Interrupt aufgerufen wird.
* \version
* 1.0 Erste Version
*/
void MSecTick(void)
{
	// Zeit alle Sekunde aktualisieren
	msCount++;
	if (msCount > 1000)
	{
		// Counter zurcksetzen
		msCount = 1;

		// Sekunden Tick ausfhren
		SecTick();
	}

	// Encoder Status einlesen
	EncoderEinlesen();
	
	// Tasten Status einlesen
	TasteEinlesen();
	
	Ri.msTick++;
}


/**
* \brief
* Diese Funktion wird jede s aufgerufen <br>
* In dieser Funktion werden Tasks abgehandelt, die alle s ausgefuehrt werden muessen
* \note
* Die einzelnen Tasks sollten so kurz wie moeglich sein, <br>
* da diese Funktion ueber einen Interrupt aufgerufen wird.
* \version
* 1.0 Erste Version
*/
void SecTick(void)
{
	// Global Time aktualisieren		
	Zeit.Changed = TRUE;
	Zeit.totSekunden++;

	// Temperatur einlesen
	CoolerTemp = Read_Temp();
				
	// Lfter regeln
	ControlFan();
}
