/**
* \file clocktime.h
* \brief In dieser Datei sind Funktionen die jede ms bzw. jede Sekunde abgearbeitet werden muessen
* \note Die TimeTicks werden ueber Interrupts aufgerufen, daher muessen die Funktionen entsprechend kurz sein
* \version 
* v 1.1 Als Externe Funktion erweitert <br>
* v.1.0 Erste Version
* \date
* Create: 01.08.2008
* Modify: 09.08.2008
* \author Philipp Kaelin 
*/

#ifndef CLOCKTIME_H
	#define CLOCKTIME_H

	//***********
	//* Includes
	//***********
	#include "global.h"
	#include "ks0108.h"
	#include "glcd.h"
	#include "tasten.h"
	#include "application.h"


	//*************
	//* Funktionen
	//*************
	// Wird jede Millisekunde ausgefhrt
	void MSecTick(void);

	// Wird jede Sekunde ausgefhrt
	void SecTick(void);

#endif
