/**
* \file menue.h
* \brief In dieser Datei sind Funktionen zur erstellung eines Munues
* \version 
* v 1.4 Fehler korrigiert bei mehr als 2 Pages <br>
* v 1.3 Titel in der Mitte schreiben <br>
* v 1.2 Menue kann auch mehrsprachig genutzt werden <br>
* v 1.1 Menue mit Scrollbalken erweitert <br>
* v.1.0 Erste Version
* \date
* Create: 16.02.2008<br>
* Modify: 09.08.2008
* \author Philipp Kaelin 
*/

#ifndef MENUE_H
	#define MENUE_H

	//***********
	//* Includes
	//***********
	#include <avr/pgmspace.h>
	#include <stdlib.h>
	#include "global.h"
	#include "ks0108.h"
	#include "glcd.h"
	#include "encoder.h"
	#include "tasten.h"
	#include "lang.h"


	//**********
	//* Defines
	//**********
	// Position des Hauptmens in der Anfangs- und Endtabelle
	typedef enum {
		mnuEinstellungenEntladen,
		mnuBetriebswahl,
		mnuGlobaleEinstellungen,
		mnuEinstellungenRi,
	} Menue_Menuetype;


	typedef enum {
		answAkkuEntladen = 1,
		answRiMessen,
		answGlobaleEinstellungen,
		answRiEinstellungen,
	} AnswMenue_Betriebswahl;


	typedef enum {
		answLanguage = 1,
		answKalibrierung,
		answZurueckGlobaleEinstellungen,
	} AnswMenue_GlobaleEinstellungen;

	typedef enum {
		answAkkutyp = 1,
		answZellenzahl,
		answEntladestrom,
		answSchlussspannung,
		answSpeicherintervall,
		answDateiname,
		answWerkseinstellung,
		answZurueckEinstellungen,
	} AnswMenue_Einstellungen;
	
	typedef enum {
		answEntladestromRi = 1,
		answMessintervallRi,
		answZurueckEinstellungenRi
	} AnswMenue_RiEinstellungen;


	//************************
	//* Function Declarations
	//************************
	// Men schreiben
	unsigned char DrawMenue(unsigned char Menue, unsigned char LastState, unsigned char Roll);

	// Eintrge in das Men schreiben
	void DrawMenueEntries(unsigned char Menue, unsigned char First, unsigned char Start, unsigned char Stop);

	// Eintrag invertieren
	void EintragInvertieren(unsigned char Count);

#endif
