/**
* \file init.h
* \brief In dieser Datei sind Funktionen Initialisierungsfunktionen
* \version 
* v. 1.0 Erste Version
* \date
* Create:  27.07.2008<br>
* Modify: 09.08.2008
* \author Philipp Kaelin 
*/

#ifndef INIT_H
	#define INIT_H

	//***********
	//* Includes
	//***********
	#include "ks0108.h"
	#include "encoder.h"
	#include "tasten.h"
	#include "adc.h"
	#include "fan.h"


	//**********
	//* Defines
	//**********
	#define PWM_DDR			DDRD
	#define PWM_PORT		PORTD
	#define PWM_PIN			PIND
	#define PWM_PINNR		PD4


	//************************
	//* Function Declarations
	//************************

	// Initialisiert die Hardware des Displays
	void ks0108InitHW(void);

	// Initialisiert die Harware des Encoders
	void EncoderInit(void);

	// Initialisiert die Hardwarekonfiguration des Tasters
	void TasteInit(void);

	// Initialisiert die Pins der AD-Eingnge
	void ADPinsInit(void);

	// Initialisiert die PWM Ausgangspins
	void PWMPinsInit(void);

	// Initialisiert den AD Konverter
	void ADC_Init(void);

	// Initialisiert den Timer2 fr die 1ms Zeitbasis
	void Timer2_Init(void);

	// Initialisiert den Timer1 fr die PWM Ausgnge
	void Timer1_Init(void);

#endif
