/**
* \file encoder.h
* \brief In dieser Datei sind Funktionen die zum Einlesen und Handling des Encoders notwending sind
* \version 
* v 1.1 Bug korrigiert, damit beim Drehrichtungswechsel richtig gezhlt wird
* v. 1.0 Erste Version
* \date
* Create: 16.02.2008 <br>
* Modify: 03.09.2008
* \author Philipp Kaelin 
*/

#ifndef ENCODER_H
	#define ENCODER_H

	//***********
	//* Includes
	//***********
	#include <avr/io.h>
	#include "global.h"


	//************************
	//* Function Declarations
	//************************

	// Encoder einlesen
	void EncoderEinlesen(void);

	// Auswahl inkrementieren
	void AuswahlUp(void);

	// Auswahl dekrementieren
	void AuswahlDown(void);


	//**********
	//* Defines
	//**********
	#define ENCODER_A_DDR		DDRB
	#define ENCODER_A_PORT		PORTB	
	#define ENCODER_A_PIN		PINB	
	#define ENCODER_A_PINNR		PB2

	#define ENCODER_B_DDR		DDRB
	#define ENCODER_B_PORT		PORTB
	#define ENCODER_B_PIN		PINB
	#define ENCODER_B_PINNR		PB1

	#define BIGSTEPMAXMS		50

	#define UP					1
	#define DOWN				0

#endif
