/******
 fan.c
******/


//***********
//* Includes
//***********
#include "fan.h"


/**
* \brief
* Regelt den Luefter
* \version
* 1.0 Erste Version
*/
void ControlFan(void)
{
	unsigned int deltaT;
	unsigned long PWM;
	
	// berprfen, ob der Lfter eingeschaltet werden muss
	if (CoolerTemp > FAN_TON)
	{
		/*---------------------------------------

	 	 					 FAN_DPWM * deltaT
	 	 PWM = FAN_MINPWM + -------------------
		 					    FAN_DTEMP

		---------------------------------------*/

		deltaT = CoolerTemp - FAN_TON;

		if (deltaT > FAN_DTEMP)
		{
			deltaT = FAN_DTEMP;
		}

		PWM = FAN_DPWM;
		PWM *= deltaT;
		PWM /= FAN_DTEMP;
		PWM += FAN_MINPWM;

		// Lftergeschwindigkeit
		OCR1A = (unsigned int) PWM;
	}
	else
	{
		// berprfen, ob der Lfter ausgeschaltet werden kann
		if (CoolerTemp < FAN_TOFF)
		{
			// Lfter ausschalten
			OCR1A = 0;
		}
	}
}
