/**
* \file ks0108_def.h
* \brief In dieser Datei sind die Pins des LCDs festgelegt
* \author  Philipp Kaelin (Orginal von Fabian Maximilian Thiele)
*/

#ifndef KS0108_DEF_H
	#define KS0108_DEF_H

	// Includes
	#include "ks0108.h"

	// Data Port
	#define LCD_DATAH_DDR		DDRA		// HighByte Data Direction Register
	#define LCD_DATAH_PORT		PORTA		// HighByte Data Output Register
	#define LCD_DATAH_PIN		PINA		// HighByte Data Input Register

	#define LCD_DATAL_DDR		DDRD		// LowByte Data Direction Register
	#define LCD_DATAL_PORT		PORTD		// LowByte Data Output Register
	#define LCD_DATAL_PIN		PIND		// LowByte Data Input Register

	// Command Lines
	#define LCD_DI_DDR			DDRC		// Data / Instruction 
	#define LCD_DI_PORT			PORTC
	#define LCD_DI_PINNR		PC6

	#define LCD_RW_DDR			DDRC		// Read / Write
	#define LCD_RW_PORT			PORTC
	#define LCD_RW_PINNR		PC1

	#define LCD_EN_DDR			DDRC		// Enable
	#define LCD_EN_PORT			PORTC
	#define LCD_EN_PINNR		PC7

	#define LCD_CS1_DDR			DDRD		// ChipSelect 1
	#define LCD_CS1_PORT		PORTD
	#define LCD_CS1_PINNR		PD7

	#define LCD_CS2_DDR			DDRD		// ChipSelect 2
	#define LCD_CS2_PORT		PORTD
	#define LCD_CS2_PINNR		PD6

	#define LCD_RESET_DDR		DDRC		// Reset
	#define LCD_RESET_PORT		PORTC
	#define LCD_RESET_PINNR		PC0

#endif
